class Management::UserCategoriesController < ManagementController

  before_action :set_user_categories, only: [:update, :show]


  def index
    @user_categories = UserCategory.all
  end

  def show
    respond_to do |format|
      format.html
      format.json {render :json => @user_categories}
    end
  end

  def edit
  end

  def update
    respond_to do |format|
      if @user_category.update_attributes(user_categories_params)
        format.html { redirect_to(@user_category, :notice => 'Score atualizado.') }
        format.json { respond_with_bip(@user_category) }
      else
        format.html { render :action => "edit" }
        format.json { respond_with_bip(@user_category) }
      end
    end
  end



  private

  def set_user_categories
    @user_category = UserCategory.find params[:id]
  end

  def user_categories_params
    params.require(:user_category).permit(:name)
  end

end
